Bug 409024 - The notifications configure dialog list does not react to key presses
Summary: The notifications configure dialog list does not react to key presses
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_notify (show other bugs)
Version: 5.16.1
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Olivier Goffart
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2019-06-22 08:50 UTC by Albert Astals Cid
Modified: 2019-11-18 18:40 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.17.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Astals Cid 2019-06-22 08:50:39 UTC
If you go to the applications configure dialog list i.e. https://i.imgur.com/g1jvmGW.png

Clicking on the list doesn't seem to focus it, thus pressing the up/down arrows doesn't change the active application on the list, which is what i would expect to happen.

If you "tab focus" into it, it will work, so it may seem is more a focus issue than a keyboard handling issue
Comment 1 Nate Graham 2019-11-14 17:50:08 UTC
Here's a patch: https://phabricator.kde.org/D25309
Comment 2 Nate Graham 2019-11-18 18:40:55 UTC
Git commit 659fe0a76f19b60021733c4a74e451d4318a8359 by Nate Graham.
Committed on 18/11/2019 at 18:40.
Pushed by ngraham into branch 'Plasma/5.17'.

[Notifications KCM] Fix keyboard navigation in apps list

Summary:
Learned how to do this from @guoyunhe in D24798!
FIXED-IN: 5.17.4

Test Plan:
1. Click on list item -> list gets focus, item is shown
2. Use up and down arrow keys -> items are shown
3. Click on search field and tab into list -> you can select things with the keyboard
4. Search for something and click on or tab into apps list -> the correct item is shown

Reviewers: broulik, #plasma

Subscribers: plasma-devel, guoyunhe

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D25309

M  +9    -3    kcms/notifications/package/contents/ui/SourcesPage.qml

https://commits.kde.org/plasma-desktop/659fe0a76f19b60021733c4a74e451d4318a8359